update.py File Reference

## Namespaces

| update

## Variables

| update.releases = json.loads(str(urllib.request.urlopen('https://api.github.com/repos/nlohmann/json/releases').read(), 'utf-8'))
list | update.release_url_map = []
| update.process = subprocess.Popen(['git', 'tag'], stdout=subprocess.PIPE)
| update.tags = set(filter(None, str(tags, 'utf-8').split("\n")))
bool | update.did_update = False
| update.mode
| update.o777
| update.exist_ok
| update.data = urllib.request.urlopen(url).read();
bool | update.has_json_fwd = False
string | update.json_fwd_url = 'https://github.com/nlohmann/json/raw/{}/include/nlohmann/json_fwd.hpp'.format(tag);